%define upstream_name	 HTTP-Cache-Transparent
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Summary:    A transparant caching implementation of http get
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%upstream_name/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MA/MATTIASH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
HTTP::Cache::Transparent is an implementation of http get that keeps a local
cache of fetched pages to avoid fetching the same data from the server
if it hasn't been updated. The cache is stored on disk and is thus
persistent between invocations.

The http-headers If-Modified-Since and ETag are used to let the server
decide if the version in the cache is up-to-date or not.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/HTTP/Cache/Transparent.pm
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1028429
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.100.0-6.mga6
+ Revision: 931958
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 747590
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 684995
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 512094
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 368258
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 316054
- update to 1.1

* Thu Jan 20 2011 jquelin <jquelin> 1.0-5.mga1
+ Revision: 26360
- mageia rebuild
- imported package perl-HTTP-Cache-Transparent


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.0-5mdv2010.0
+ Revision: 440586
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.0-4mdv2009.1
+ Revision: 350222
- 2009.1 rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 257245
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2008.1
+ Revision: 119231
- update to new version 1.0


* Wed Jan 03 2007 Stefan van der Eijk <stefan@mandriva.org> 0.7-1mdv2007.0
+ Revision: 103810
- Import perl-HTTP-Cache-Transparent

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.7-1mdk
- 0.7

* Sun Jul 17 2005 Stefan van der Eijk <stefan@eijk.nu> 0.6-1mdk
- 0.6
- %%mkrel
- BuildRequires

* Mon Jan 24 2005 Stefan van der Eijk <stefan@mandrake.org> 0.5-1mdk
- first mdk release

